/*
 * Created on Jun 26, 2003
 */
package parsers.CPA;

import simulator.Bindings;
import simulator.Cell;
import util.Assert;
import util.Direction;

/**
 * @author David Evans
 */

public class LiteralTerm extends Term {
	double value;
	
	public LiteralTerm (double p_value) {
		super ();
		value = p_value;
	}
	
	public double eval (Cell c, Bindings b) {
		return value;
	}
	
	public Direction evalDir (Cell c, Bindings b) {
		Assert.badBranch ("Must be a direction: " + this);
		return null;
	}

	public String toString () {
		String tmp = "";
		tmp += value;
		return tmp;
//		return "<lit: " + value +">";
	}
}
