/*
 * Created on Jul 1, 2003
 */
package simulator;

/**
 * @author evans
 */

public abstract class CellSecretion {
	private String chemical;
	private double concentration;

	public CellSecretion (String p_chem, double p_conc) {
		chemical = p_chem;
		concentration = p_conc;
	}

	public CellSecretion (CellSecretion ce) {
		chemical = ce.getChemical();
		concentration = ce.getConcentration();
	}

	public String getChemical() {
		return chemical;
	}

	public double getConcentration() {
		return concentration;
	}
}
