package util;

import javax.vecmath.*;

public class FColor
{
	private double r;
	private double g;
	private double b;

	public FColor() { }
	public FColor(double p_r, double p_g, double p_b) { r = p_r; g = p_g; b = p_b; }
	public FColor(FColor c) { r = c.getR(); g = c.getG(); b = c.getB(); }

	public double getR() { return r; }
	public double getG() { return g; }
	public double getB() { return b; }
	public Color3f getColor3fObject() { return new Color3f((float) r, (float) g, (float) b); }
	public java.awt.Color getAwtColor() { 
		return new java.awt.Color ((int) (r * 255.), (int) (g * 255.), (int) (b * 255.));
	}
	public void setR(double p_r) { r = p_r; }
	public void setG(double p_g) { g = p_g; }
	public void setB(double p_b) { b = p_b; }
	
	public String toString() { return r + " " + g + " " + b; }
}
