package parsers.CPA;

public class CellDivision {
	private CellParameters cell1, cell2;
	private DirectionNode direction;

	public CellDivision (CellParameters p_cell1, CellParameters p_cell2, DirectionNode p_direction) {
		cell1 = p_cell1;
		cell2 = p_cell2;
		direction = p_direction;
	}

	String getState1() {
		return cell1.getState ();
	}

	String getState2() {
		return cell2.getState ();
	}

	DirectionNode getDirection() {
		return direction;
	}

	public String toString() {
		return "(" + cell1 + "," + cell2 + ") " + "in " + direction + ";";
	}

	public CellParameters getParameters1() {
		return cell1;
	}
	
	public CellParameters getParameters2() {
		return cell2;
	}

}
