/*
 * Created on Jul 3, 2003
 */
package parsers.CPA;

import simulator.Bindings;

/**
 * @author David Evans
 */
public class CellParameters {
	private String state;
	private Bindings bindings;
	
	public CellParameters (String p_state) {
		state = p_state;
		bindings = null;	
	}
	
	public CellParameters (String p_state, Bindings p_bindings) {
		state = p_state;
		bindings = p_bindings;	
	}

	public String getState () {
		return state;
	}
	
	public String toString () {
		if (bindings != null) {
			return state + "[" + bindings + "]";	
		} else {
			return state;
		} 
	}

	public Bindings getParameters() {
		return bindings;		
	}
}
