/*
 * Created on Jul 1, 2003
 */
package parsers.CPA;

/**
 * @author evans
 */
public class CellSecretionNode {
	protected String chemical;
	
	public CellSecretionNode (String p_chemical) {
		chemical = p_chemical;
	}	

	public CellSecretionNode (CellSecretionNode p_node) {
		chemical = p_node.chemical;
	}	
	
	public String getChemical () {
		return chemical;
	}

	public String unparse () {
		return chemical;
	}
		
	public boolean isSensedDependent() {
		return false; // overridden by CellEmissionNode
	}
}
