package parsers.CPA;

import java.util.*;

public class CellTransitionList {
	private Vector CellTransitionsVector;

	public CellTransitionList() {
		CellTransitionsVector = new Vector();
	}

	void add(CellTransition conc) {
		CellTransitionsVector.addElement(conc);
	}

	Vector getList() {
		return CellTransitionsVector;
	}

	public String toString() {
		StringBuffer retVal = new StringBuffer("");
		int numCellTransitions = CellTransitionsVector.size();

		for (int i = 0; i < numCellTransitions; i++) {
			retVal.append(
				"\t\t" + CellTransitionsVector.elementAt(i).toString() + "\n");
		}
		return retVal.toString();
	}

	public String unparse() {
		StringBuffer retVal = new StringBuffer("");
		int numCellTransitions = CellTransitionsVector.size();

		for (int i = 0; i < numCellTransitions; i++) {
			retVal.append(
				"\t\t" + CellTransitionsVector.elementAt(i).toString() + "\n");
		}
		return retVal.toString();
	}
	
	public int size() {
		return CellTransitionsVector.size();
	}
}
